org.fourthline.cling.support.avtransport.lastchange

## Class AVTransportVariable.CurrentTransportActions

- java.lang.Object
- - org.fourthline.cling.support.lastchange.EventedValue<E[]>
  - - org.fourthline.cling.support.lastchange.EventedValueEnumArray<TransportAction>
    - - org.fourthline.cling.support.avtransport.lastchange.AVTransportVariable.CurrentTransportActions

- Enclosing class:
    AVTransportVariable

      public static class AVTransportVariable.CurrentTransportActions
      extends EventedValueEnumArray<TransportAction>

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AVTransportVariable.CurrentTransportActions(Map.Entry<String,String>[] attributes)`
    `AVTransportVariable.CurrentTransportActions(TransportAction[] e)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TransportAction[]` | `enumValueOf(String[] names)`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValueEnumArray

      `getDatatype, toString, valueOf`

    - ### Methods inherited from class org.fourthline.cling.support.lastchange.EventedValue

      `getAttributes, getName, getValue, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AVTransportVariable.CurrentTransportActions

          public AVTransportVariable.CurrentTransportActions(TransportAction[] e)

    - #### AVTransportVariable.CurrentTransportActions

          public AVTransportVariable.CurrentTransportActions(Map.Entry<String,String>[] attributes)

  - ### Method Detail

    - #### enumValueOf

          protected TransportAction[] enumValueOf(String[] names)

      Specified by:
        `enumValueOf` in class `EventedValueEnumArray<TransportAction>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.